For discussion of Alpine Linux development and developer support

1

[alpine-devel] [PATCH] Initial APKBUILD for Alpine Linux

Fabian Affolter
Details
Message ID
<1309020273-5144-1-git-send-email-fabian@affolter-engineering.ch>
Sender timestamp
1309020273
DKIM signature
missing
Download raw message
Patch: +34 -0
---
 testing/weplab/APKBUILD |   34 ++++++++++++++++++++++++++++++++++
 1 files changed, 34 insertions(+), 0 deletions(-)
 create mode 100644 testing/weplab/APKBUILD

diff --git a/testing/weplab/APKBUILD b/testing/weplab/APKBUILD
new file mode 100644
index 0000000..9117f53
--- /dev/null
+++ b/testing/weplab/APKBUILD
@@ -0,0 +1,34 @@
+# Contributor: Fabian Affolter <fabian@affolter-engineering.ch>
+# Maintainer:
+pkgname=weplab
+pkgver=0.1.5
+pkgrel=0
+pkgdesc="Analyzing WEP encryption security on wireless networks"
+url="http://weplab.sourceforge.net/"
+arch="all"
+license="GPLv2+"
+depends=
+depends_dev="libpcap-dev wireless-tools-dev"
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-doc"
+source="http://downloads.sourceforge.net/$pkgname/$pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+
+build() {
+	cd "$_builddir"
+    ./configure \
+        --prefix=/usr \
+        --mandir=/usr/share/man \
+        || return 1
+	make || return 1
+    install -Dm 644 COPYING "$pkgdir"/usr/share/licenses/$pkgname/COPYING
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="713870965447b0b8b7341409968846fb  weplab-0.1.5.tar.gz"
-- 
1.7.4.5



---
Unsubscribe:  alpine-devel+unsubscribe@lists.alpinelinux.org
Help:         alpine-devel+help@lists.alpinelinux.org
---
Natanael Copa
Details
Message ID
<20110627102723.5398b6bf@ncopa-desktop.nor.wtbts.net>
In-Reply-To
<1309020273-5144-1-git-send-email-fabian@affolter-engineering.ch> (view parent)
Sender timestamp
1309163243
DKIM signature
missing
Download raw message
Hi Fabian,

Thanks for a very nice first APKBUILD!

On Sat, 25 Jun 2011 16:44:33 +0000
Fabian Affolter <fabian@affolter-engineering.ch> wrote:

> ---
>  testing/weplab/APKBUILD |   34 ++++++++++++++++++++++++++++++++++
>  1 files changed, 34 insertions(+), 0 deletions(-)
>  create mode 100644 testing/weplab/APKBUILD
> 
> diff --git a/testing/weplab/APKBUILD b/testing/weplab/APKBUILD

You placed the new aport in testing/ and not main/ Good!

> new file mode 100644
> index 0000000..9117f53
> --- /dev/null
> +++ b/testing/weplab/APKBUILD
> @@ -0,0 +1,34 @@
> +# Contributor: Fabian Affolter <fabian@affolter-engineering.ch>
> +# Maintainer:

Contributor but not maintainer. You normally don't start as maintainer.
Good!

> +pkgname=weplab
> +pkgver=0.1.5
> +pkgrel=0
> +pkgdesc="Analyzing WEP encryption security on wireless networks"

Short and nice description. Good!

> +url="http://weplab.sourceforge.net/"
> +arch="all"
> +license="GPLv2+"
> +depends=
> +depends_dev="libpcap-dev wireless-tools-dev"
> +makedepends="$depends_dev"

Paul commented about depends_dev. The above is not wrong though.

> +install=""
> +subpackages="$pkgname-doc"
> +source="http://downloads.sourceforge.net/$pkgname/$pkgname-$pkgver.tar.gz"
> +
> +_builddir="$srcdir"/$pkgname-$pkgver
> +
> +build() {
> +	cd "$_builddir"
> +    ./configure \
> +        --prefix=/usr \
> +        --mandir=/usr/share/man \
> +        || return 1
> +	make || return 1
> +    install -Dm 644 COPYING
> "$pkgdir"/usr/share/licenses/$pkgname/COPYING +}

installing license belongs to package() as Paul said. I think just
setting license is good enough in GPLv2+ since its a standard
license and people normally understand what that means.

> +
> +package() {
> +	cd "$_builddir"
> +	make DESTDIR="$pkgdir" install || return 1
> +}
> +
> +md5sums="713870965447b0b8b7341409968846fb  weplab-0.1.5.tar.gz"

Very good first APKBUILD!

Maybe the commit message could have been better. Maybe something like:

testing/weplab: new aport

<description>
<url>


Applied and took maintainership.
Thanks!

-nc


---
Unsubscribe:  alpine-devel+unsubscribe@lists.alpinelinux.org
Help:         alpine-devel+help@lists.alpinelinux.org
---